RegionReinitializedException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: RegionReinitializedException

Package org.apache.geode.cache

# Class RegionReinitializedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.RegionDestroyedException
org.apache.geode.cache.RegionReinitializedException

All Implemented Interfaces:
  `Serializable`

public class RegionReinitializedException extends RegionDestroyedException
Indicates that the region has been reinitialized. Further operations on the region object are not allowed using this region reference. A new reference must be acquired from the Cache the region's parent region.

Since:
  GemFire 4.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionReinitializedException(String msg, String regionFullPath)`
  Constructs a `RegionReinitializedException` with a message.
  `RegionReinitializedException(String s, String regionFullPath, Throwable ex)`
  Constructs a `RegionDestroyedException` with a message and a cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.RegionDestroyedException

  `getRegionFullPath`

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegionReinitializedException

    public RegionReinitializedException(String msg, String regionFullPath)
    Constructs a `RegionReinitializedException` with a message.
    Parameters:
      `msg` - the String message
      `regionFullPath` - the path of the region that encountered the exception

  - ### RegionReinitializedException

    public RegionReinitializedException(String s, String regionFullPath, Throwable ex)
    Constructs a `RegionDestroyedException` with a message and a cause.
    Parameters:
      `s` - the String message
      `regionFullPath` - the path of the region that encountered the exception
      `ex` - the Throwable cause